package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.volunteer.Volunteer;

public enum VolunteerAssociationFieldType implements ModelAssociationFieldType {
	STATION_PROFILES("stationProfiles"), //
	;

	private String fieldName;

	private VolunteerAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return Volunteer.class;
	}

}